function appsave(ffffnnnn,vvvvnnnn,vvvvaaaa)
%APPSAVE appends a variable to an existing MAT-file.
%	APPSAVE('FILENAME', 'VARNAME', VAR) appends the variable
%	to FILENAME.mat and assigns the variable name 'VARNAME'.
%
%	The actual file is a MEX-file. See appsave.c for details.
%	There is also a MEX-file available, which accelerates
%	the processing speed.

%	Wes Wang 1/13/93
%	Copyright (c) 1990-93 by The MathWorks, Inc.
%	$Revision: 1.5 $  $Date: 1993/06/09 22:09:40 $

eval([vvvvnnnn '=vvvvaaaa;']);
eval(['save apptmp ' vvvvnnnn])
clear vvvvnnnn vvvvaaaa
eval(['load ' ffffnnnn])
load apptmp
eval(['save ' ffffnnnn])

